Site questions

Review questions, answers, and sources generated for a docs site.

Inspect the canonical questions asked on your site, the generated answers linked to each question, and the sources used for each answer.

List all questions in a site

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

Query parameters
typestring · enumOptional

Type classification of the user question.

Possible values:
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/questions
200

OK

Get a site question by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteQuestionIdstringRequired

The unique id of the site question

Responses
chevron-right
200

OK

application/json
objectstring · enumRequiredPossible values:
idstringRequired

The ID of the site question.

questionstringRequired

Canonical text for the unique site question.

typestring · enumRequired

Type classification of the user question.

Possible values:
createdAtstring · date-timeRequired
get
/orgs/{organizationId}/sites/{siteId}/questions/{siteQuestionId}
200

OK

List all answers for a site

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

Query parameters
questionstringOptional

Filter answers to a specific site question ID.

languagestringOptional

Filter answers by ISO language code.

answeredstring · enumOptional

Whether the response answered the question.

Possible values:
confidencestring · enumOptional

Confidence in whether the response answered the question.

Possible values:
relevancestring · enumOptional

Relevance classification of the user question.

Possible values:
question.typestring · enumOptional

Type classification of the user question.

Possible values:
topicstringOptional

Filter answers by associated site topic ID.

threadstringOptional

Filter answers by thread root answer ID. Includes the root answer itself.

pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/answers
200

OK

Get a site answer by ID

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteQuestionAnswerIdstringRequired

The unique id of the site question answer

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/answers/{siteQuestionAnswerId}
200

OK

List the sources for an answer

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

The unique id of the organization

siteIdstringRequired

The unique id of the site

siteQuestionAnswerIdstringRequired

The unique id of the site question answer

Query parameters
pagestringOptional

Identifier of the page results to fetch.

limitnumber · max: 1000Optional

The number of results per page

Responses
chevron-right
200

OK

application/json
get
/orgs/{organizationId}/sites/{siteId}/answers/{siteQuestionAnswerId}/sources
200

OK

Last updated

Was this helpful?